# GPIO variables & functions

{% hint style="info" %}
**Knowledge Bank:**

```
ชื่อฟังก์ชันที่เรียกใช้บ่อยๆ
cyhal_gpio_init();
cyhal_gpio_configure();
cyhal_gpio_write();
cyhal_gpio_read();
cyhal_gpio_toggle();
cyhal_system_delay_ms();
cyhal_gpio_register_callback();
cyhal_gpio_enable_event();
cyhal_adc_read();
cyhal_adc_init();
```

{% endhint %}

{% hint style="info" %}

```
ชื่อตัวแปรที่เรียกใช้บ่อยๆ
CYBSP_USER_LED
CYBSP_USER_BTN
CYBSP_USER_BTN1
CYBSP_USER_BTN2
CYHAL_GPIO_DIR_OUTPUT
CYHAL_GPIO_DRIVE_STRONG
CYBSP_LED_STATE_OFF
CYBSP_LED_STATE_ON
```

{% endhint %}

> For more detail of each function and variable: <https://infineon.github.io/psoc6hal/html/group__group__hal__gpio.html>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aic-eec.com/biil_psoc6/basic-mcu-interfacing/psoc-tm-6s2-peripherals-interfacing-gpio/gpio-variables-and-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
